Package pyplusplus :: Package decl_wrappers :: Module decl_wrapper_printer

# Module decl_wrapper_printer

source code

defines class that will print in a user friendly format declarations tree and declarations Py++ configuration instructions

Classes
decl_wrapper_printer_t Helper class for printing declarations tree and Py++ configuration instructions

Functions

print_declarations(decls, detailed=True, recursive=True, writer=<bound method _DevNull.write of <epydoc.docintrospecter._DevNu`...`) Print decl tree rooted at each of the included nodes. | source code

Function Details

### print_declarations(decls, detailed=True, recursive=True, writer=<bound method _DevNull.write of <epydoc.docintrospecter._DevNu`...`)

source code

Print decl tree rooted at each of the included nodes. decls - either a single decl or a list of decls.